<?php

include_once "admin.inc.php";

$UI_CONFIG = new $uiconfig_name('admin', 'login');

$module_object = new DashaMail($module_login, $module_password);

$connection_test = $module_object->test_connection();

BeginHtml();
?>
  <link href="css/style.css" rel="stylesheet"/>
  <div class="connectionTestInformation">
    <?
    if (!$connection_test) {
      ?>
      <div class="connectionTestInformation-fail nc-alert nc--red">
        <i class="nc-icon-l nc--status-error"></i>
        Произошла ошибка при соединении с сервером.<br/>
        <? echo $module_object->last_error_text; ?>.

        <?
        if (in_array($module_object->last_error_code, array(2, 4))) {
          ?>
          <div class="connectionTestInformation-fail-authorization">
            Для соединения с сервером следует
            <a target="_blank" href="https://lk.dashamail.com/registration.php">зарегистрироваться на сайте http://dashamail.ru</a> и указать данные в настройках модуля.
          </div>
          <?
        }
        ?>
      </div>
      <?
    }else {
      ?>
      <div class="connectionTestInformation-success nc-alert nc--green">
        <i class="nc-icon-l nc--status-success"></i>
        Соединение прошло успешно.
      </div>
      <?
    }

    ?>
  </div>
<?
EndHtml();
